Foreman - Feature #5926

Hide global parameter values
05/26/2014 11:43 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Security
Target version: 1.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1478
Description

We use global parameters for storing subscription manager credentials (and they could be used for storing another sensitive data like

private keys etc). We should be able to hide such values in Ul so people can't read it easily.

This is meant as short-term solution. Long-term we should move to smart variables and smart class parameters and add proper

password support there.

Related issues:
Related to Foreman - Feature #6007: Add hide/show value to smart class params Closed

Related to Foreman - Bug #11450: Hidden parameters do not un-hide when unchec... Closed

06/02/2014
08/23/2015

Associated revisions

Revision 7669211c - 09/03/2014 06:45 AM - Marek Hulan

Fixes #5926 - hide sensitive parameter values

User can check to hide value when creating or editing global parameter.
The value is masked by *** and is also not displayed when overriding.

History

#1 - 05/26/2014 11:51 AM - Marek Hulan
- Status changed from Assigned to Ready For Testing

PR https://github.com/theforeman/foreman/pull/1478

#2 - 05/27/2014 08:21 AM - Dominic Cleal
- Tracker changed from Bug to Feature

- Target version set to 1.8.2

#3 - 06/02/2014 07:56 AM - Marek Hulan
- Related to Feature #6007: Add hide/show value to smart class params added

#4 - 06/11/2014 02:53 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#5 - 07/07/2014 07:22 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#6 - 07/15/2014 09:18 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/1478 added

#7 - 07/30/2014 06:49 AM - Anonymous
https://github.com/theforeman/foreman/pull/1478

- Target version changed from 1.8.0 to 1.7.5

#8 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5t0 1.7.4

#9 - 09/03/2014 06:10 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 21

#10 - 09/03/2014 07:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7669211c00d8b63945a5ffcfb5c8744396b02eec.

#11 - 08/23/2015 07:11 AM - Tomer Brisker
- Related to Bug #11450: Hidden parameters do not un-hide when unchecking the hide checkbox added
